<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Andar
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>

<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

    <!-- START HOMEPAGE DESIGN AREA -->
    <header id="home" class="welcome-area">
        <div class="header-top-area">
            <div class="container">
                <div class="row">
                    <div class="col-md-3">
                        <!-- START LOGO DESIGN AREA -->
                        <div class="logo">
                            <a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php echo get_theme_mod('logo_text'); ?></a>
                        </div>
                        <!-- END LOGO DESIGN AREA -->
                    </div>
                    <div class="col-md-9">
                        <!-- START MENU DESIGN AREA -->
                        <div class="mainmenu">
                            <div class="navbar navbar-nobg">
                                <div class="navbar-header">
                                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                                        <span class="sr-only">Toggle navigation</span>
                                        <span class="icon-bar"></span>
                                        <span class="icon-bar"></span>
                                        <span class="icon-bar"></span>
                                    </button>
                                </div>
                                <div class="navbar-collapse collapse">
                                
                                <!--
                                    <ul class="nav navbar-nav navbar-right">
                                        <li class="active"><a class="smoth-scroll" href="#home">Home <div class="ripple-wrapper"></div></a></li>
                                        <li><a class="smoth-scroll" href="#about">About</a></li>
                                        <li><a class="smoth-scroll" href="#service">service</a></li>
                                        <li><a class="smoth-scroll" href="#team">team</a></li>
                                        <li><a class="smoth-scroll" href="#work">work</a></li>
                                        <li><a class="smoth-scroll" href="#testimonial">testimonial</a></li>
                                        <li><a class="smoth-scroll" href="#pricing">Pricing</a></li>
                                        <li><a class="smoth-scroll" href="#blog">blog</a></li>
                                        <li><a class="smoth-scroll" href="#contact">contact</a></li>
                                    </ul>
                                -->   
                        <?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'nav navbar-nav navbar-right' ) ); ?>
                                    
                                </div>
                            </div>
                        </div>
                        <!-- END MENU DESIGN AREA -->
                    </div>
                </div>
            </div>
        </div>
        <div class="welcome-image-area">
            <div class="display-table">
                <div class="display-table-cell">
                    <div class="container">
                        <div class="row">
                            <div class="col-md-12">
                                <h2><?php echo get_theme_mod('header_text'); ?></h2>
                                <p><?php echo get_theme_mod('header_desc'); ?></p>
                                <a class="slide-btn smoth-scroll" href="<?php echo esc_html(get_theme_mod('button_link','')); ?>"><?php echo esc_html( get_theme_mod( 'header_button', '' )); ?></a>
                                
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </header>
    <!-- / END HOMEPAGE DESIGN AREA -->