<?php 

/**
 * Enqueue scripts and styles.
 */
function andar_scripts() {
    
    $font = esc_html(get_theme_mod('font'));
    
    if( $font ) {
		wp_enqueue_style( 'andar-fonts', '//fonts.googleapis.com/css?family='.$font.'' );	
	}
	
	wp_enqueue_style( 'bootstrap', get_template_directory_uri() . '/assets/bootstrap/css/bootstrap.min.css' );
    wp_enqueue_style( 'font-awesome', get_template_directory_uri() . '/assets/fonts/font-awesome.min.css', array(), '4.3.0', 'all' );
    wp_enqueue_style( 'owl-carousel', get_template_directory_uri() . '/assets/owlcarousel/css/owl.carousel.css' );
    
    wp_enqueue_style( 'owl-theme', get_template_directory_uri() . '/assets/owlcarousel/css/owl.theme.css' );
    wp_enqueue_style( 'lightboxmin', get_template_directory_uri() . '/assets/css/lightbox.min.css' );
    wp_enqueue_style( 'main-css', get_template_directory_uri() . '/assets/css/style.css' );
    wp_enqueue_style( 'andar-css', get_stylesheet_uri() );
    wp_enqueue_style( 'responsive', get_template_directory_uri() . '/assets/css/responsive.css' );
    
    

	wp_enqueue_script( 'jquery' );
    
    if ( is_singular() ) wp_enqueue_script( "comment-reply" );
	wp_enqueue_script( 'bootstrap-js', get_template_directory_uri() . '/assets/bootstrap/js/bootstrap.min.js', array('jquery'), '', true );
	wp_enqueue_script( 'owl-carousel-js', get_template_directory_uri() . '/assets/owlcarousel/js/owl.carousel.min.js', array('jquery'), '', true );
	wp_enqueue_script( 'mixitup-js', get_template_directory_uri() . '/assets/js/jquery.mixitup.js', array('jquery'), '', true );
	wp_enqueue_script( 'lightbox-js', get_template_directory_uri() . '/assets/js/lightbox.min.js', array('jquery'), '', true );
	wp_enqueue_script( 'googleapis', 'https://maps.googleapis.com/maps/api/js?key=AIzaSyBuU_0_uLMnFM-2oWod_fzC0atPZj7dHlU', array('jquery'), '', true );
	wp_enqueue_script( 'gmap3', get_template_directory_uri() . '/assets/js/gmap3.min.js', array('jquery'), '', true );
	wp_enqueue_script( 'andar-js', get_template_directory_uri() . '/assets/js/scripts.js', array('jquery'), '', true );
    
}
add_action( 'wp_enqueue_scripts', 'andar_scripts' );

